Top
30°

PSP 5.50GEN-B CFW Users Cuts off PlayStation Network Access

For the people who have a custom firmware PSP and have been trying to access the PlayStation Store from either the PS3 or PSP, you will notice that you cannot connect anymore and you will be asked to update the firmware to 6.10 to gain access.

Read Full Story >>
justpushstart.com
The story is too old to be commented.
iamtehpwn2984d ago

you don't really need the Playstation store.

vhero2984d ago

Agreed and with GenB2 patch which came out nearly a month ago this was fixed.. Also why is this in the PS3 section?

Keowrath2984d ago (Edited 2984d ago )

EDIT: This was supposed to be a reply to the post above but I haven't woken up yet =p

I imagine it's in the PS3 section as it mentions you can't access the store using the PSP via PS3. As Iamtehpwn says though. With custom firmware you don't really need the store and you'll be playing your favourite Ps1 classics a lot sooner rather than waiting for Sony to actually make them available.

I'm stil using M33 firmware. Does GenB2 allow you to use all the old plugins from the older custom firmwares or is it limited?